from .base import ApiBase


class StacksApi(ApiBase):
    def list_stacks(self):
        url = f"{self.base_url}/stacks"
        return self.request("GET", url).json()

    def get_stack_by_id(self, stack_id):
        url = f"{self.base_url}/stacks/{stack_id}"
        return self.request("GET", url).json()

    def update_stack(self, webhook):
        url = f"{self.base_url}/stacks/webhooks/{webhook}"
        return self.request("POST", url)

    def start_stack(self, stack_id):
        url = f"{self.base_url}/stacks/{stack_id}/start"
        return self.request("POST", url)

    def stop_stack(self, stack_id):
        url = f"{self.base_url}/stacks/{stack_id}/stop"
        return self.request("POST", url)
    